export interface CommandHandlerArgs {
	self: any;
	interactive: boolean;
	send: (message: number) => void;
	logger: {
		log: (message: unknown) => void;
		error: (message: unknown) => void;
	};
	args: any;
}

export type CommandHandler = (args: CommandHandlerArgs) => void | number | Promise<number> | Promise<void>;
