import { FastifyInstance } from 'fastify';
import { AdderController, AdderControllerImpl } from '@/modules/adder';

export const addRoutes = (server: FastifyInstance) => {
	const adderController: AdderController = new AdderControllerImpl();

	server.route({
		method: 'POST',
		url: '/',
		handler: adderController.addNumbers,
	});

	return server;
};
